import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '行业名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '菜单类型(0:一级行业菜单; 1:工种菜单)',
    align:"center",
    dataIndex: 'menuType_dictText'
   },
   {
    title: '排序',
    align:"center",
    dataIndex: 'sortNo'
   },
   {
    title: '图标',
    align:"center",
    dataIndex: 'icon',
    customRender:render.renderAvatar,
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '行业名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '菜单类型(0:一级行业菜单; 1:工种菜单)',
    field: 'menuType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"emp_menu_type"
     },
  },
  {
    label: '排序',
    field: 'sortNo',
    component: 'InputNumber',
  },
  {
    label: '图标',
    field: 'icon',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '父级节点',
    field: 'pid',
    component: 'Input',
  },
];
