package org.jeecg.modules.userRole.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 角色表
 * @Author: jeecg-boot
 * @Date:   2024-10-16
 * @Version: V1.0
 */
@Data
@TableName("tb_user_role")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tb_user_role对象", description="角色表")
public class TbUserRole implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @ApiModelProperty(value = "用户id")
    private String userId;
	/**角色信息 用人方企业 1  用人方个人 0*/
	@Excel(name = "角色信息 用人方企业 1  用人方个人 0", width = 15, dicCode = "user_role")
	@Dict(dicCode = "user_role")
    @ApiModelProperty(value = "用人方企业 1  用人方个人 0")
    private Integer role;
	/**用户名*/
	@Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private String userName;
    /**行业*/
    @Excel(name = "行业", width = 15)
    @ApiModelProperty(value = "行业")
    private String industry;
    /**公司名称*/
    @Excel(name = "公司名称", width = 15)
    @ApiModelProperty(value = "公司名称")
    private String companyName;
	/**税收编码*/
	@Excel(name = "税收编码", width = 15)
    @ApiModelProperty(value = "税收编码")
    private String taxCode;
	/**公司地址*/
	@Excel(name = "公司地址", width = 15)
    @ApiModelProperty(value = "公司地址")
    private String address;
	/**公司账号*/
	@Excel(name = "公司账号", width = 15)
    @ApiModelProperty(value = "公司账号")
    private String bankAccount;
	/**电话*/
	@Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private String phone;
	/**开户行*/
	@Excel(name = "开户行", width = 15)
    @ApiModelProperty(value = "开户行")
    private String bankNama;
	/**营业执照上传*/
	@Excel(name = "营业执照上传", width = 15)
    @ApiModelProperty(value = "营业执照上传")
    private String businessLicense;
	/**基本户信息照片上传*/
	@Excel(name = "基本户信息照片上传", width = 15)
    @ApiModelProperty(value = "基本户信息照片上传")
    private String basicAccount;
	/**收款银行照片上传*/
	@Excel(name = "收款银行照片上传", width = 15)
    @ApiModelProperty(value = "收款银行照片上传")
    private String bankInfo;
	/**审核状态 0审核中 1 审核通过 2审核未通过*/
	@Excel(name = "审核状态 0审核中 1 审核通过 2审核未通过", width = 15, dicCode = "audit_status")
	@Dict(dicCode = "audit_status")
    @ApiModelProperty(value = "审核状态 0审核中 1 审核通过 2审核未通过")
    private Integer auditStatus;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
}
